Bug 1276513 - [GSS](6.4.z) EJB Server side is needlessly closing remoting channel
[GSS](6.4.z) EJB Server side is needlessly closing remoting channel
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: EJB (Show other bugs)
6.4.4
Unspecified Unspecified
high Severity unspecified
: CR1
: EAP 6.4.6
Assigned To: Brad Maxwell
Jan Martiska
https://github.com/jbossas/jboss-eap/...
:
Depends On:
Blocks: 1235746
  Show dependency treegraph
 
Reported: 2015-10-29 18:26 EDT by Brad Maxwell
Modified: 2017-01-17 06:49 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-17 06:49:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-5607 Major Resolved EJB Server side is needlessly closing remoting channel 2017-05-10 04:04 EDT
Red Hat Knowledge Base (Solution) 2050643 None None None 2016-01-21 19:31 EST

  None (edit)
Description Brad Maxwell 2015-10-29 18:26:00 EDT
When an EJB Bean throws a Runtime exception, it is causing the server side to close the remoting channel.  This causes several issues such as performance issue of having to recreate the channel, channel leak on the client side and some occasional EJBCLIENT...25 - no ejb receiver exceptions on the client side.
Comment 4 Jan Martiska 2016-01-20 09:10:04 EST
Verified in EAP 6.4.6.CR2
Comment 5 Petr Penicka 2017-01-17 06:49:47 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.

Note You need to log in before you can comment on or make changes to this bug.